Home//
REST API Reference
/- List all company notes
Create or Update a company
Retrieve companies
Retrieve a company by ID
Update a company
Delete a company
List attached contacts
List attached segments for companies
Create a company note
Search companies
List all companies
Scroll over all companies
Attach a Contact to a Company
List attached companies for contact
Detach a contact from a company
Company
List all company notes
You can fetch a list of notes that are associated to a company.
Requires the read_users_companies OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/companies/{company_id}/notes
- The european API serverhttps://api.eu.intercom.io/companies/{company_id}/notes
- The australian API serverhttps://api.au.intercom.io/companies/{company_id}/notes
curl -i -X GET \
'https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/notes?page=1&per_page=50&order=desc' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful response
dataArray of objects(Note)
An array of notes.
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
Response
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "next": null, "page": 1, "per_page": 50, "total_pages": 1 } }